This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 226157 - Merge Review: module-init-tools
Merge Review: module-init-tools
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks: F9MergeReviewTarget
  Show dependency treegraph
 
Reported: 2007-01-31 14:42 EST by Nobody's working on this, feel free to take it
Modified: 2015-07-15 11:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix everything but mv, obsoletes, permissions and conf files. (2.12 KB, patch)
2007-12-26 16:17 EST, Jon Ciesla
no flags Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:42:54 EST
Fedora Merge Review: module-init-tools

http://cvs.fedora.redhat.com/viewcvs/devel/module-init-tools/
Initial Owner: jcm@redhat.com
Comment 1 Jon Ciesla 2007-12-26 15:34:05 EST
rpmlint output, SRPM:

module-init-tools.src:17: W: prereq-use /sbin/chkconfig sh-utils
The use of PreReq is deprecated. In the majority of cases, a plain Requires
is enough and the right thing to do. Sometimes Requires(pre), Requires(post),
Requires(preun) and/or Requires(postun) can also be used instead of PreReq.

module-init-tools.src:18: W: unversioned-explicit-obsoletes modules
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

module-init-tools.src:18: W: unversioned-explicit-obsoletes modutils-devel
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

module-init-tools.src:18: W: unversioned-explicit-obsoletes modutils
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

module-init-tools.src:20: W: buildprereq-use zlib-devel docbook-utils
The use of BuildPreReq is deprecated, build dependencies are always required
before a package can be built.  Use plain BuildRequires instead.

module-init-tools.src:505: W: macro-in-%changelog build
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.

module-init-tools.src:547: W: macro-in-%changelog _mandir
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.

module-init-tools.src:586: W: macro-in-%changelog description
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.

module-init-tools.src:687: W: macro-in-%changelog postun
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.

module-init-tools.src: W: summary-ended-with-dot Kernel module management utilities.
Summary ends with a dot.

module-init-tools.src: W: invalid-license GPL
The value of the License tag was not recognized.  Known values are:
"Adobe", "AFL", "AGPLv1", "AGPLv3", "AMPAS BSD", "ARL", "ASL 1.0", "ASL 1.0+",
"ASL 1.1", "ASL 1.1+", "ASL 2.0", "ASL 2.0+", "APSL 2.0", "APSL 2.0+",
"Artistic 2.0", "Artistic clarified", "BitTorrent", "Boost", "BSD", "BSD with
advertising", "CeCILL", "CDDL", "CPL", "Condor", "Copyright only", "Cryptix",
"Crystal Stacker", "EPL", "eCos", "EFL 2.0", "EFL 2.0+", "EU Datagrid", "FTL",
"Giftware", "Glide", "gnuplot", "GPL+", "GPL+ or Artistic", "GPLv2+ or
Artistic", "GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv2+ with
exceptions", "GPLv3", "GPLv3 with exceptions", "GPLv3+", "GPLv3+ with
exceptions", "IBM", "IJG", "ImageMagick", "iMatix", "Imlib2", "Intel ACPI",
"Interbase", "ISC", "Jabber", "JasPer", "LGPLv2", "LGPLv2 with exceptions",
"LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff", "LPL", "LPPL", "mecab-ipadic",
"MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1", "MPLv1.1+", "NCSA", "NGPL", "NOSL",
"Netscape", "Nokia", "OpenLDAP", "OpenPBS", "OReilly", "OSL 1.0", "OSL 1.0+",
"OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL 3.0+",
"OpenSSL", "Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL", "Ruby",
"Sleepycat", "SISSL", "SLIB", "SPL", "TCL", "UCD", "Vim", "VNLSL", "VSL",
"W3C", "WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+",
"ZPLv2.0", "ZPLv2.0+", "ZPLv2.1", "ZPLv2.1+", "zlib", "CDL", "FBSDDL", "GFDL",
"IEEE", "OFSFDL", "Open Publication", "CC-BY", "CC-BY-SA", "DSL", "Free Art",
"Arphic", "Baekmuk", "Bitstream Vera", "mplus", "OFL", "STIX", "Utopia",
"XANO", "Redistributable, no modification permitted", "Freely redistributable
without restriction".

module-init-tools.src: W: no-url-tag
The URL tag is missing.


Basically, fix the provides and oboletes, correct the license tag to GPLv2+, add
 a URL tag (not sure what that should be), drop the summary dot, and change all
macros in the changelog from %macro to %%macro.

rpmlint on the RPMS:
module-init-tools.i386: W: non-conffile-in-etc /etc/modprobe.d/modprobe.conf.dist
A non-executable file in your package is being installed in /etc, but is not
a configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

module-init-tools.i386: W: non-conffile-in-etc /etc/modprobe.d/blacklist-compat
A non-executable file in your package is being installed in /etc, but is not
a configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

module-init-tools.i386: W: non-conffile-in-etc /etc/depmod.d/depmod.conf.dist
A non-executable file in your package is being installed in /etc, but is not
a configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

These should either be %config or have a comment explaining why not.

You also have:

module-init-tools.i386: W: conffile-without-noreplace-flag /etc/modprobe.conf
A configuration file is stored in your package without the noreplace flag.
A way to resolve this is to put the following in your SPEC file:

%config(noreplace) /etc/your_config_file_here

Which again should either be fixed or say why not.
Comment 2 Jon Ciesla 2007-12-26 16:16:12 EST
You also have module-init-tools.i386: W: dangerous-command-in-%post mv.  This
should be fixed for explained in a comment.
Comment 3 Jon Ciesla 2007-12-26 16:17:54 EST
Created attachment 290426 [details]
Patch to fix everything but mv, obsoletes, permissions and conf files.
Comment 4 Jon Ciesla 2007-12-26 16:29:40 EST
Comment on attachment 290426 [details]
Patch to fix everything but mv, obsoletes, permissions and conf files.

>--- module-init-tools.spec	2007-12-26 15:07:14.000000000 -0600
>+++ module-init-tools.spec	2007-12-26 15:09:29.000000000 -0600
>@@ -1,8 +1,8 @@
>-Summary: Kernel module management utilities.
>+Summary: Kernel module management utilities
> Name: module-init-tools
> Version: 3.4
> Release: 2%{?dist}
>-License: GPL
>+License: GPLv2+
> Group: System Environment/Kernel
> Source: http://www.kerneltools.org/pub/downloads/module-init-tools/module-init-tools-%{version}.tar.bz2
> Source1: http://www.kerneltools.org/pub/downloads/module-init-tools/module-init-tools-%{version}.tar.bz2.sign
>@@ -14,10 +14,10 @@
> Patch2: module-init-tools-noescape.patch
> Patch3: module-init-tools-dump_modversions.patch
> Exclusiveos: Linux
>-Prereq: /sbin/chkconfig sh-utils
>+Requires: /sbin/chkconfig sh-utils
> Obsoletes: modules modutils-devel modutils
> Provides: modutils = %{version}
-BuildPrereq: zlib-devel docbook-utils
-BuildRoot: %{_tmppath}/%{name}-root
+BuildRequires: zlib-devel docbook-utils
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> 
> %description
>@@ -502,7 +502,7 @@
> - update to 2.4.0
> - tweak irda aliases
> - remove vixie-cron dependency (it's not *required*)
>-- add missing %build (where did that go?)
>+- add missing %%build (where did that go?)
> 
> * Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
> - 2.4.0
>@@ -544,7 +544,7 @@
> - sparc64 ELF hacks.
> 
> * Mon Aug 21 2000 Michael K. Johnson <johnsonm@redhat.com>
>-- Use %{_mandir} for removing kerneld-related man pages.
>+- Use %%{_mandir} for removing kerneld-related man pages.
> 
> * Wed Aug  9 2000 Jakub Jelinek <jakub@redhat.com>
> - fix build on SPARC
>@@ -583,7 +583,7 @@
> - fix build with glibc 2.2
> 
> * Tue May 09 2000 Doug Ledford <dledford@redhat.com>
>-- Correct %description to reflect that we don't build kerneld by default
>+- Correct %%description to reflect that we don't build kerneld by default
> 
> * Fri Apr 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
> - 2.3.11
>@@ -684,7 +684,7 @@
> - util/sys_cm.c: fix create_module syscall (signed return on sparc too)
> 
> * Wed Jul 15 1998 Jeff Johnson <jbj@redhat.com>
>-- correct %postun typos
>+- correct %%postun typos
> 
> * Fri May 01 1998 Erik Troan <ewt@redhat.com>
> - added /lib/modules/preferred to search path
Comment 5 Jon Ciesla 2007-12-26 16:30:16 EST
Prev comment adds fix for buildroot tag.
Comment 6 Jon Ciesla 2007-12-26 17:01:26 EST
Interesting.  Changing the BuildPreReq for zlib-devel to a BR causes a mock
build to fail:
/usr/bin/ld: cannot find -lz


Since PreReq is now forbidden, I'm curious what the next step should be, as I've
never encountered a case like this.
Comment 7 Jon Ciesla 2008-05-16 11:05:21 EDT
Any updates?
Comment 8 Jon Ciesla 2008-09-09 12:41:36 EDT
Reviewed current rawhide SRPM. Similar or same issues persist, but the license tag has been fixed.
Comment 9 Jon Ciesla 2008-12-04 14:34:31 EST
Ping?
Comment 10 Jon Ciesla 2009-03-31 11:22:49 EDT
Ping?
Comment 11 Michal Nowak 2009-04-08 12:13:43 EDT
JCM, can you please have a look at Jon Ciesla's proposals? It's quite easy stuff.
Comment 12 Michal Nowak 2009-09-04 08:09:11 EDT
jcm, ping: Comment #11
Comment 13 Jon Ciesla 2010-04-29 16:12:46 EDT
Ping?
Comment 14 Jon Ciesla 2011-03-31 12:40:57 EDT
Ping?
Comment 15 Jon Ciesla 2011-06-17 12:05:50 EDT
Looking at 3.16-0.1

Lots of macros in the changelog.

unversioned explicit obsoletes for modutils, -devel.

Self-obsoletion of modutils

Invalid URL for Source0 and Source1.

Summary ends with dot.

No URL tag.

Several non-conffile in /etc.

No man pages for insmod.static and weak-modules.

Dangerous command in %pre, mv.
Comment 16 Jon Ciesla 2011-10-18 11:58:36 EDT
Ping?
Comment 17 Jon Ciesla 2012-01-26 13:49:01 EST
Ping?
Comment 18 Jon Ciesla 2012-04-26 09:37:56 EDT
Ping?
Comment 19 Jon Ciesla 2013-02-07 13:27:27 EST
Fixed up macros in comments and changelog.  Dropped modutils Obsoletes.  Dropped end of summary period.  Added URL tag.  Non-conf files in /etc are OK.  mv in pre is OK.

Need to fix:

Source0 url is invalid, 3.16 isn't at the upstream ftp.  Any chance of manpages for insmod.static and weak-modules?
Comment 20 Cole Robinson 2015-02-11 15:37:56 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 21 Jan Kurik 2015-07-15 11:24:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.